Redmine - Defect #30489

Internal server error when click middle mouse button link add watcher
2019-01-24 08:48 - Alex Tim

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues list Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description
Clicking middle mouse button on the add wathcer link in the context menu fails

ActionController: :UnknownFormat in WatchersController#new
WatchersController#new is missing a template for this request format and variant. request.formats:
["text/html"] request.variant: []

Related issues:
Is duplicate of Redmine - Patch #39894: Explicitly render a 404 on non-JS req... Closed

History

#1 - 2019-01-24 15:42 - Marius BALTEANU

- Status changed from New to Confirmed

#2 - 2019-02-03 15:59 - Marius BALTEANU

Maybe it is enough to return 404 when the request format is HTML?

diff --git a/app/controllers/watchers_controller.rb b/app/controllers/watchers_controller.rb
index 3f080e9..cec2519 100644
-—— a/app/controllers/watchers_controller.rb
+++ b/app/controllers/watchers_controller.rb
@@ -30,7 +30,10 @QR class WatchersController < ApplicationController
accept_api_auth :create, :destroy

def new
= @users = users_for_new_watcher

+ respond_to do |format|

+ format.html { render_404 }

+ format.js { Qusers = users_for_new_watcher }
+ end

end

def create

#3 - 2019-02-03 16:25 - Marius BALTEANU

All tests pass with the above patch applied:
Test results: https://gitlab.com/marius-balteanu/redmine/-/jobs/155499251

Patch: https:/gitlab.com/marius-balteanu/redmine/commit/bcf9de280551a69d5b449a5d569560cb191926aa.diff

#4 - 2019-02-03 16:25 - Marius BALTEANU

- Target version set to Candidate for next minor release

#5 - 2019-02-04 03:30 - Go MAEDA
Since | use MacBook Pro and don't have a mouse with a middle button, | cannot reproduce the problem. Adding issue watchers works fine for me.
Could someone tell me how the middle button works and causes the error?

#6 - 2019-02-04 06:28 - Marius BALTEANU

Yes, middle button means Open link in new tab. To reproduce, go to an issue, right click on the Add watchers link and then Open link in a new tab.
Technically, instead of an Ajax request you will do a simple get request.

2025-05-02 1/2



https://gitlab.com/marius-balteanu/redmine/-/jobs/155499251
https://gitlab.com/marius-balteanu/redmine/commit/bcf9de280551a69d5b449a5d569560cb191926aa.diff

#7 - 2019-02-04 07:12 - Go MAEDA
Marius BALTEANU wrote:

Yes, middle button means Open link in new tab.

Thanks, | understand. | think this issue is not a big problem, so the fix that simply returns 404 is enough.

| found that this issue also affects the following links.

e "Watch" link
e "Search for watchers to add" link on "New issue" page

#8 - 2023-12-21 07:45 - Marius BALTEANU
- Is duplicate of Patch #39894: Explicitly render a 404 on non-JS requests to watchers#new added

#9 - 2023-12-21 08:01 - Marius BALTEANU
- Status changed from Confirmed to Closed
- Assignee set to Marius BALTEANU

- Resolution set to Duplicate
Fixed in #39894, closing this as Duplicate.

#10 - 2023-12-27 10:46 - Go MAEDA

- Target version deleted (Candidate for next minor release)
